List Event Orchestrations
List all Global Event Orchestrations on an Account.
Global Event Orchestrations allow you define a set of Global Rules and Router Rules, so that when you ingest events using the Orchestration's Routing Key your events will have actions applied via the Global Rules & then routed to the correct Service by the Router Rules, based on the event's content.
For more information see the API Concepts Document
Scoped OAuth requires: event_orchestrations.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Query Parameters
The number of results per page.
Offset to start pagination search results.
Used to specify the field you wish to sort the results on.
"name:asc"Value in
- "name:asc"
- "name:desc"
- "routes:asc"
- "routes:desc"
- "created_at:asc"
- "created_at:desc"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
List Enablements for an Event Orchestration GET
List all feature enablement settings for an Event Orchestration. Currently, only the `aiops` enablement is supported. For any account with the AIOps product addon, every Event Orchestration will have AIOps features enabled by default. **Warning conditions**: - If the account is not entitled to use AIOps features, a warning will be returned alongside the enablement data. Scoped OAuth requires: `event_orchestrations.read`
List Integrations for an Event Orchestration GET
List the Integrations associated with this Event Orchestrations. You can use a Routing Key from these Integrations to send events to PagerDuty! For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#event-orchestrations) Scoped OAuth requires: `event_orchestrations.read`